<?php



$tdatatb_fecha_cx = array();
$tdatatb_fecha_cx[".searchableFields"] = array();
$tdatatb_fecha_cx[".ShortName"] = "tb_fecha_cx";
$tdatatb_fecha_cx[".OwnerID"] = "";
$tdatatb_fecha_cx[".OriginalTable"] = "tb_fecha_cx";


$tdatatb_fecha_cx[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_fecha_cx[".originalPagesByType"] = $tdatatb_fecha_cx[".pagesByType"];
$tdatatb_fecha_cx[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_fecha_cx[".originalPages"] = $tdatatb_fecha_cx[".pages"];
$tdatatb_fecha_cx[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_fecha_cx[".originalDefaultPages"] = $tdatatb_fecha_cx[".defaultPages"];

//	field labels
$fieldLabelstb_fecha_cx = array();
$fieldToolTipstb_fecha_cx = array();
$pageTitlestb_fecha_cx = array();
$placeHolderstb_fecha_cx = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"] = array();
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"] = array();
	$pageTitlestb_fecha_cx["Portuguese(Brazil)"] = array();
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["fcxID"] = "Fcx ID";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["fcxID"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["fcxID"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["dt_fechamento"] = "Dt Fechamento";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["dt_fechamento"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["dt_fechamento"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["periodo_in"] = "Periodo In";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["periodo_in"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["periodo_in"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["Periodo_out"] = "Periodo Out";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["Periodo_out"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["Periodo_out"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["saldo_cxfisico"] = "Saldo Cxfisico";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["saldo_cxfisico"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["saldo_cxfisico"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["saldo_picpay"] = "Saldo Picpay";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["saldo_picpay"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["saldo_picpay"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["status"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["finalizado"] = "Finalizado";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["finalizado"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["finalizado"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["Faturamento"] = "Faturamento";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["Faturamento"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["Faturamento"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["faturado"] = "Faturado";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["faturado"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["faturado"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["data_fatura"] = "Data Fatura";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["data_fatura"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["data_fatura"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["Res_previsto"] = "Res Previsto";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["Res_previsto"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["Res_previsto"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["Res_Realizado"] = "Res Realizado";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["Res_Realizado"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["Res_Realizado"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["Despesas"] = "Despesas";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["Despesas"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["Despesas"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["data_pagto1"] = "Data Pagto1";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["data_pagto1"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["data_pagto1"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["NFaturados"] = "NFaturados";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["NFaturados"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["NFaturados"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["data_Nfatura"] = "Data Nfatura";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["data_Nfatura"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["data_Nfatura"] = "";
	$fieldLabelstb_fecha_cx["Portuguese(Brazil)"]["aporte_financ"] = "Aporte Financ";
	$fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]["aporte_financ"] = "";
	$placeHolderstb_fecha_cx["Portuguese(Brazil)"]["aporte_financ"] = "";
	if (count($fieldToolTipstb_fecha_cx["Portuguese(Brazil)"]))
		$tdatatb_fecha_cx[".isUseToolTips"] = true;
}


	$tdatatb_fecha_cx[".NCSearch"] = true;


	$tdatatb_fecha_cx[".scrollGridBody"] = true;

$tdatatb_fecha_cx[".shortTableName"] = "tb_fecha_cx";
$tdatatb_fecha_cx[".nSecOptions"] = 0;

$tdatatb_fecha_cx[".mainTableOwnerID"] = "";
$tdatatb_fecha_cx[".entityType"] = 0;

$tdatatb_fecha_cx[".strOriginalTableName"] = "tb_fecha_cx";

	



$tdatatb_fecha_cx[".showAddInPopup"] = false;

$tdatatb_fecha_cx[".showEditInPopup"] = false;

$tdatatb_fecha_cx[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_fecha_cx[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_fecha_cx[".listAjax"] = false;
//	temporary
$tdatatb_fecha_cx[".listAjax"] = false;

	$tdatatb_fecha_cx[".audit"] = false;

	$tdatatb_fecha_cx[".locking"] = false;


$pages = $tdatatb_fecha_cx[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_fecha_cx[".edit"] = true;
	$tdatatb_fecha_cx[".afterEditAction"] = 0;
	$tdatatb_fecha_cx[".closePopupAfterEdit"] = 1;
	$tdatatb_fecha_cx[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_fecha_cx[".add"] = true;
$tdatatb_fecha_cx[".afterAddAction"] = 0;
$tdatatb_fecha_cx[".closePopupAfterAdd"] = 1;
$tdatatb_fecha_cx[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_fecha_cx[".list"] = true;
}



$tdatatb_fecha_cx[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_fecha_cx[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_fecha_cx[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_fecha_cx[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_fecha_cx[".printFriendly"] = true;
}



$tdatatb_fecha_cx[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_fecha_cx[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_fecha_cx[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_fecha_cx[".isUseAjaxSuggest"] = true;

$tdatatb_fecha_cx[".rowHighlite"] = true;





$tdatatb_fecha_cx[".ajaxCodeSnippetAdded"] = false;

$tdatatb_fecha_cx[".buttonsAdded"] = false;

$tdatatb_fecha_cx[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_fecha_cx[".isUseTimeForSearch"] = false;


$tdatatb_fecha_cx[".badgeColor"] = "1E90FF";


$tdatatb_fecha_cx[".allSearchFields"] = array();
$tdatatb_fecha_cx[".filterFields"] = array();
$tdatatb_fecha_cx[".requiredSearchFields"] = array();

$tdatatb_fecha_cx[".googleLikeFields"] = array();
$tdatatb_fecha_cx[".googleLikeFields"][] = "fcxID";
$tdatatb_fecha_cx[".googleLikeFields"][] = "dt_fechamento";
$tdatatb_fecha_cx[".googleLikeFields"][] = "periodo_in";
$tdatatb_fecha_cx[".googleLikeFields"][] = "Periodo_out";
$tdatatb_fecha_cx[".googleLikeFields"][] = "saldo_cxfisico";
$tdatatb_fecha_cx[".googleLikeFields"][] = "saldo_picpay";
$tdatatb_fecha_cx[".googleLikeFields"][] = "status";
$tdatatb_fecha_cx[".googleLikeFields"][] = "finalizado";
$tdatatb_fecha_cx[".googleLikeFields"][] = "Faturamento";
$tdatatb_fecha_cx[".googleLikeFields"][] = "faturado";
$tdatatb_fecha_cx[".googleLikeFields"][] = "data_fatura";
$tdatatb_fecha_cx[".googleLikeFields"][] = "Res_previsto";
$tdatatb_fecha_cx[".googleLikeFields"][] = "Res_Realizado";
$tdatatb_fecha_cx[".googleLikeFields"][] = "Despesas";
$tdatatb_fecha_cx[".googleLikeFields"][] = "data_pagto1";
$tdatatb_fecha_cx[".googleLikeFields"][] = "NFaturados";
$tdatatb_fecha_cx[".googleLikeFields"][] = "data_Nfatura";
$tdatatb_fecha_cx[".googleLikeFields"][] = "aporte_financ";



$tdatatb_fecha_cx[".tableType"] = "list";

$tdatatb_fecha_cx[".printerPageOrientation"] = 0;
$tdatatb_fecha_cx[".nPrinterPageScale"] = 100;

$tdatatb_fecha_cx[".nPrinterSplitRecords"] = 40;

$tdatatb_fecha_cx[".geocodingEnabled"] = false;










$tdatatb_fecha_cx[".pageSize"] = 20;

$tdatatb_fecha_cx[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_fecha_cx[".strOrderBy"] = $tstrOrderBy;

$tdatatb_fecha_cx[".orderindexes"] = array();

$tdatatb_fecha_cx[".sqlHead"] = "SELECT tb_fecha_cx.fcxID,  tb_fecha_cx.dt_fechamento,  tb_fecha_cx.periodo_in,  tb_fecha_cx.Periodo_out,  tb_fecha_cx.saldo_cxfisico,  tb_fecha_cx.saldo_picpay,  tb_fecha_cx.status,  tb_fecha_cx.finalizado,  (dbw_faturados.Faturamento) AS Faturamento,  dbw_faturados.faturado,  dbw_faturados.data_fatura,  (tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+(dbw_nfaturados.Nfaturados)+tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago) AS Res_previsto,  (tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+ tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago) AS Res_Realizado,  (dbw_despesas.Valor_pago) AS Despesas,  dbw_despesas.data_pagto AS data_pagto1,  (dbw_nfaturados.Nfaturados) AS NFaturados,  dbw_nfaturados.data_fatura AS data_Nfatura,  tb_fecha_cx.aporte_financ";
$tdatatb_fecha_cx[".sqlFrom"] = "FROM tb_fecha_cx  , dbw_faturados  , dbw_despesas  , dbw_nfaturados";
$tdatatb_fecha_cx[".sqlWhereExpr"] = "(dbw_faturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_despesas.data_pagto >= tb_fecha_cx.periodo_in) AND (dbw_nfaturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_faturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_nfaturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_despesas.data_pagto <= tb_fecha_cx.Periodo_out)";
$tdatatb_fecha_cx[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_fecha_cx[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_fecha_cx[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_fecha_cx[".highlightSearchResults"] = true;

$tableKeystb_fecha_cx = array();
$tableKeystb_fecha_cx[] = "fcxID";
$tdatatb_fecha_cx[".Keys"] = $tableKeystb_fecha_cx;


$tdatatb_fecha_cx[".hideMobileList"] = array();




//	fcxID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "fcxID";
	$fdata["GoodName"] = "fcxID";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","fcxID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "fcxID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.fcxID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["fcxID"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "fcxID";
//	dt_fechamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dt_fechamento";
	$fdata["GoodName"] = "dt_fechamento";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","dt_fechamento");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "dt_fechamento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.dt_fechamento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["dt_fechamento"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "dt_fechamento";
//	periodo_in
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "periodo_in";
	$fdata["GoodName"] = "periodo_in";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","periodo_in");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "periodo_in";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.periodo_in";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["periodo_in"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "periodo_in";
//	Periodo_out
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Periodo_out";
	$fdata["GoodName"] = "Periodo_out";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","Periodo_out");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "Periodo_out";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.Periodo_out";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["Periodo_out"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "Periodo_out";
//	saldo_cxfisico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "saldo_cxfisico";
	$fdata["GoodName"] = "saldo_cxfisico";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","saldo_cxfisico");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "saldo_cxfisico";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.saldo_cxfisico";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["saldo_cxfisico"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "saldo_cxfisico";
//	saldo_picpay
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "saldo_picpay";
	$fdata["GoodName"] = "saldo_picpay";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","saldo_picpay");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "saldo_picpay";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.saldo_picpay";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["saldo_picpay"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "saldo_picpay";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Aberto";
	$edata["LookupValues"][] = "Análise ";
	$edata["LookupValues"][] = "Aprovado";
	$edata["LookupValues"][] = "Rejeitado";
	$edata["LookupValues"][] = "Cancelado";
	$edata["LookupValues"][] = "Simulado";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["status"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "status";
//	finalizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "finalizado";
	$fdata["GoodName"] = "finalizado";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","finalizado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "finalizado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.finalizado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["finalizado"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "finalizado";
//	Faturamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Faturamento";
	$fdata["GoodName"] = "Faturamento";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","Faturamento");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Faturamento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dbw_faturados.Faturamento)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["Faturamento"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "Faturamento";
//	faturado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "faturado";
	$fdata["GoodName"] = "faturado";
	$fdata["ownerTable"] = "dbw_faturados";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","faturado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "faturado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_faturados.faturado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["faturado"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "faturado";
//	data_fatura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "data_fatura";
	$fdata["GoodName"] = "data_fatura";
	$fdata["ownerTable"] = "dbw_faturados";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","data_fatura");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_fatura";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_faturados.data_fatura";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["data_fatura"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "data_fatura";
//	Res_previsto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "Res_previsto";
	$fdata["GoodName"] = "Res_previsto";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","Res_previsto");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Res_previsto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+(dbw_nfaturados.Nfaturados)+tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["Res_previsto"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "Res_previsto";
//	Res_Realizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "Res_Realizado";
	$fdata["GoodName"] = "Res_Realizado";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","Res_Realizado");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Res_Realizado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+ tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["Res_Realizado"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "Res_Realizado";
//	Despesas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Despesas";
	$fdata["GoodName"] = "Despesas";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","Despesas");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Despesas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dbw_despesas.Valor_pago)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["Despesas"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "Despesas";
//	data_pagto1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "data_pagto1";
	$fdata["GoodName"] = "data_pagto1";
	$fdata["ownerTable"] = "dbw_despesas";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","data_pagto1");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_pagto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_despesas.data_pagto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["data_pagto1"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "data_pagto1";
//	NFaturados
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "NFaturados";
	$fdata["GoodName"] = "NFaturados";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","NFaturados");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "NFaturados";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dbw_nfaturados.Nfaturados)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["NFaturados"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "NFaturados";
//	data_Nfatura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "data_Nfatura";
	$fdata["GoodName"] = "data_Nfatura";
	$fdata["ownerTable"] = "dbw_nfaturados";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","data_Nfatura");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_fatura";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dbw_nfaturados.data_fatura";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["data_Nfatura"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "data_Nfatura";
//	aporte_financ
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "aporte_financ";
	$fdata["GoodName"] = "aporte_financ";
	$fdata["ownerTable"] = "tb_fecha_cx";
	$fdata["Label"] = GetFieldLabel("tb_fecha_cx","aporte_financ");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "aporte_financ";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_fecha_cx.aporte_financ";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fecha_cx["aporte_financ"] = $fdata;
		$tdatatb_fecha_cx[".searchableFields"][] = "aporte_financ";


$tables_data["tb_fecha_cx"]=&$tdatatb_fecha_cx;
$field_labels["tb_fecha_cx"] = &$fieldLabelstb_fecha_cx;
$fieldToolTips["tb_fecha_cx"] = &$fieldToolTipstb_fecha_cx;
$placeHolders["tb_fecha_cx"] = &$placeHolderstb_fecha_cx;
$page_titles["tb_fecha_cx"] = &$pageTitlestb_fecha_cx;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_fecha_cx"] = array();
//	tb_provisao_caixa
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_provisao_caixa";
		$detailsParam["dOriginalTable"] = "tb_provisao_caixa";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_provisao_caixa";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_provisao_caixa");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_fecha_cx"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_fecha_cx"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_fecha_cx"][$dIndex]["masterKeys"][]="fcxID";

	$detailsTablesData["tb_fecha_cx"][$dIndex]["masterKeys"][]="dt_fechamento";

	$detailsTablesData["tb_fecha_cx"][$dIndex]["masterKeys"][]="periodo_in";

	$detailsTablesData["tb_fecha_cx"][$dIndex]["masterKeys"][]="Periodo_out";

				$detailsTablesData["tb_fecha_cx"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_fecha_cx"][$dIndex]["detailKeys"][]="fechacxID";

		
	$detailsTablesData["tb_fecha_cx"][$dIndex]["detailKeys"][]="data";

		
	$detailsTablesData["tb_fecha_cx"][$dIndex]["detailKeys"][]="dt_inicial";

		
	$detailsTablesData["tb_fecha_cx"][$dIndex]["detailKeys"][]="dt_final";

// tables which are master tables for current table (detail)
$masterTablesData["tb_fecha_cx"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_fecha_cx()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_fecha_cx.fcxID,  tb_fecha_cx.dt_fechamento,  tb_fecha_cx.periodo_in,  tb_fecha_cx.Periodo_out,  tb_fecha_cx.saldo_cxfisico,  tb_fecha_cx.saldo_picpay,  tb_fecha_cx.status,  tb_fecha_cx.finalizado,  (dbw_faturados.Faturamento) AS Faturamento,  dbw_faturados.faturado,  dbw_faturados.data_fatura,  (tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+(dbw_nfaturados.Nfaturados)+tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago) AS Res_previsto,  (tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+ tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago) AS Res_Realizado,  (dbw_despesas.Valor_pago) AS Despesas,  dbw_despesas.data_pagto AS data_pagto1,  (dbw_nfaturados.Nfaturados) AS NFaturados,  dbw_nfaturados.data_fatura AS data_Nfatura,  tb_fecha_cx.aporte_financ";
$proto0["m_strFrom"] = "FROM tb_fecha_cx  , dbw_faturados  , dbw_despesas  , dbw_nfaturados";
$proto0["m_strWhere"] = "(dbw_faturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_despesas.data_pagto >= tb_fecha_cx.periodo_in) AND (dbw_nfaturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_faturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_nfaturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_despesas.data_pagto <= tb_fecha_cx.Periodo_out)";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "(dbw_faturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_despesas.data_pagto >= tb_fecha_cx.periodo_in) AND (dbw_nfaturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_faturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_nfaturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_despesas.data_pagto <= tb_fecha_cx.Periodo_out)";
$proto2["m_uniontype"] = "SQLL_AND";
	$obj = new SQLNonParsed(array(
	"m_sql" => "(dbw_faturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_despesas.data_pagto >= tb_fecha_cx.periodo_in) AND (dbw_nfaturados.data_fatura >= tb_fecha_cx.periodo_in) AND (dbw_faturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_nfaturados.data_fatura <= tb_fecha_cx.Periodo_out) AND (dbw_despesas.data_pagto <= tb_fecha_cx.Periodo_out)"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
						$proto4=array();
$proto4["m_sql"] = "dbw_faturados.data_fatura >= tb_fecha_cx.periodo_in";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_faturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = ">= tb_fecha_cx.periodo_in";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = true;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

			$proto2["m_contained"][]=$obj;
						$proto6=array();
$proto6["m_sql"] = "dbw_despesas.data_pagto >= tb_fecha_cx.periodo_in";
$proto6["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_pagto",
	"m_strTable" => "dbw_despesas",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto6["m_column"]=$obj;
$proto6["m_contained"] = array();
$proto6["m_strCase"] = ">= tb_fecha_cx.periodo_in";
$proto6["m_havingmode"] = false;
$proto6["m_inBrackets"] = true;
$proto6["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto6);

			$proto2["m_contained"][]=$obj;
						$proto8=array();
$proto8["m_sql"] = "dbw_nfaturados.data_fatura >= tb_fecha_cx.periodo_in";
$proto8["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_nfaturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto8["m_column"]=$obj;
$proto8["m_contained"] = array();
$proto8["m_strCase"] = ">= tb_fecha_cx.periodo_in";
$proto8["m_havingmode"] = false;
$proto8["m_inBrackets"] = true;
$proto8["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto8);

			$proto2["m_contained"][]=$obj;
						$proto10=array();
$proto10["m_sql"] = "dbw_faturados.data_fatura <= tb_fecha_cx.Periodo_out";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_faturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "<= tb_fecha_cx.Periodo_out";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = true;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

			$proto2["m_contained"][]=$obj;
						$proto12=array();
$proto12["m_sql"] = "dbw_nfaturados.data_fatura <= tb_fecha_cx.Periodo_out";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_nfaturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "<= tb_fecha_cx.Periodo_out";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = true;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

			$proto2["m_contained"][]=$obj;
						$proto14=array();
$proto14["m_sql"] = "dbw_despesas.data_pagto <= tb_fecha_cx.Periodo_out";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "data_pagto",
	"m_strTable" => "dbw_despesas",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "<= tb_fecha_cx.Periodo_out";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = true;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

			$proto2["m_contained"][]=$obj;
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "fcxID",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto18["m_sql"] = "tb_fecha_cx.fcxID";
$proto18["m_srcTableName"] = "tb_fecha_cx";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "dt_fechamento",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto20["m_sql"] = "tb_fecha_cx.dt_fechamento";
$proto20["m_srcTableName"] = "tb_fecha_cx";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "periodo_in",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto22["m_sql"] = "tb_fecha_cx.periodo_in";
$proto22["m_srcTableName"] = "tb_fecha_cx";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "Periodo_out",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto24["m_sql"] = "tb_fecha_cx.Periodo_out";
$proto24["m_srcTableName"] = "tb_fecha_cx";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo_cxfisico",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto26["m_sql"] = "tb_fecha_cx.saldo_cxfisico";
$proto26["m_srcTableName"] = "tb_fecha_cx";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo_picpay",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto28["m_sql"] = "tb_fecha_cx.saldo_picpay";
$proto28["m_srcTableName"] = "tb_fecha_cx";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto30["m_sql"] = "tb_fecha_cx.status";
$proto30["m_srcTableName"] = "tb_fecha_cx";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "finalizado",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto32["m_sql"] = "tb_fecha_cx.finalizado";
$proto32["m_srcTableName"] = "tb_fecha_cx";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dbw_faturados.Faturamento)"
));

$proto34["m_sql"] = "(dbw_faturados.Faturamento)";
$proto34["m_srcTableName"] = "tb_fecha_cx";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "Faturamento";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "faturado",
	"m_strTable" => "dbw_faturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto36["m_sql"] = "dbw_faturados.faturado";
$proto36["m_srcTableName"] = "tb_fecha_cx";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_faturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto38["m_sql"] = "dbw_faturados.data_fatura";
$proto38["m_srcTableName"] = "tb_fecha_cx";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+(dbw_nfaturados.Nfaturados)+tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)"
));

$proto40["m_sql"] = "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+(dbw_nfaturados.Nfaturados)+tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)";
$proto40["m_srcTableName"] = "tb_fecha_cx";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "Res_previsto";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+ tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)"
));

$proto42["m_sql"] = "(tb_fecha_cx.saldo_cxfisico+tb_fecha_cx.saldo_picpay+(dbw_faturados.Faturamento)+ tb_fecha_cx.aporte_financ)-(dbw_despesas.Valor_pago)";
$proto42["m_srcTableName"] = "tb_fecha_cx";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "Res_Realizado";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dbw_despesas.Valor_pago)"
));

$proto44["m_sql"] = "(dbw_despesas.Valor_pago)";
$proto44["m_srcTableName"] = "tb_fecha_cx";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "Despesas";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "data_pagto",
	"m_strTable" => "dbw_despesas",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto46["m_sql"] = "dbw_despesas.data_pagto";
$proto46["m_srcTableName"] = "tb_fecha_cx";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "data_pagto1";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dbw_nfaturados.Nfaturados)"
));

$proto48["m_sql"] = "(dbw_nfaturados.Nfaturados)";
$proto48["m_srcTableName"] = "tb_fecha_cx";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "NFaturados";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
						$proto50=array();
			$obj = new SQLField(array(
	"m_strName" => "data_fatura",
	"m_strTable" => "dbw_nfaturados",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto50["m_sql"] = "dbw_nfaturados.data_fatura";
$proto50["m_srcTableName"] = "tb_fecha_cx";
$proto50["m_expr"]=$obj;
$proto50["m_alias"] = "data_Nfatura";
$obj = new SQLFieldListItem($proto50);

$proto0["m_fieldlist"][]=$obj;
						$proto52=array();
			$obj = new SQLField(array(
	"m_strName" => "aporte_financ",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto52["m_sql"] = "tb_fecha_cx.aporte_financ";
$proto52["m_srcTableName"] = "tb_fecha_cx";
$proto52["m_expr"]=$obj;
$proto52["m_alias"] = "";
$obj = new SQLFieldListItem($proto52);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto54=array();
$proto54["m_link"] = "SQLL_MAIN";
			$proto55=array();
$proto55["m_strName"] = "tb_fecha_cx";
$proto55["m_srcTableName"] = "tb_fecha_cx";
$proto55["m_columns"] = array();
$proto55["m_columns"][] = "fcxID";
$proto55["m_columns"][] = "dt_fechamento";
$proto55["m_columns"][] = "periodo_in";
$proto55["m_columns"][] = "Periodo_out";
$proto55["m_columns"][] = "saldo_cxfisico";
$proto55["m_columns"][] = "saldo_picpay";
$proto55["m_columns"][] = "aporte_financ";
$proto55["m_columns"][] = "status";
$proto55["m_columns"][] = "finalizado";
$obj = new SQLTable($proto55);

$proto54["m_table"] = $obj;
$proto54["m_sql"] = "tb_fecha_cx";
$proto54["m_alias"] = "";
$proto54["m_srcTableName"] = "tb_fecha_cx";
$proto56=array();
$proto56["m_sql"] = "";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "";
$proto56["m_havingmode"] = false;
$proto56["m_inBrackets"] = false;
$proto56["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto56);

$proto54["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto54);

$proto0["m_fromlist"][]=$obj;
												$proto58=array();
$proto58["m_link"] = "SQLL_CROSSJOIN";
			$proto59=array();
$proto59["m_strName"] = "dbw_faturados";
$proto59["m_srcTableName"] = "tb_fecha_cx";
$proto59["m_columns"] = array();
$proto59["m_columns"][] = "itemID";
$proto59["m_columns"][] = "pedID";
$proto59["m_columns"][] = "pdtoID";
$proto59["m_columns"][] = "v_unit";
$proto59["m_columns"][] = "entrega";
$proto59["m_columns"][] = "incluir";
$proto59["m_columns"][] = "t0";
$proto59["m_columns"][] = "t1";
$proto59["m_columns"][] = "t2";
$proto59["m_columns"][] = "t3";
$proto59["m_columns"][] = "t4";
$proto59["m_columns"][] = "t5";
$proto59["m_columns"][] = "qtd";
$proto59["m_columns"][] = "Subtotal";
$proto59["m_columns"][] = "Faturamento";
$proto59["m_columns"][] = "cota_a";
$proto59["m_columns"][] = "cota_b";
$proto59["m_columns"][] = "cota_c";
$proto59["m_columns"][] = "cota_d";
$proto59["m_columns"][] = "categoria";
$proto59["m_columns"][] = "componente";
$proto59["m_columns"][] = "status_item";
$proto59["m_columns"][] = "faturado";
$proto59["m_columns"][] = "data_fatura";
$obj = new SQLTable($proto59);

$proto58["m_table"] = $obj;
$proto58["m_sql"] = "dbw_faturados";
$proto58["m_alias"] = "";
$proto58["m_srcTableName"] = "tb_fecha_cx";
$proto60=array();
$proto60["m_sql"] = "";
$proto60["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto60["m_column"]=$obj;
$proto60["m_contained"] = array();
$proto60["m_strCase"] = "";
$proto60["m_havingmode"] = false;
$proto60["m_inBrackets"] = false;
$proto60["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto60);

$proto58["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto58);

$proto0["m_fromlist"][]=$obj;
												$proto62=array();
$proto62["m_link"] = "SQLL_CROSSJOIN";
			$proto63=array();
$proto63["m_strName"] = "dbw_despesas";
$proto63["m_srcTableName"] = "tb_fecha_cx";
$proto63["m_columns"] = array();
$proto63["m_columns"][] = "despesaID";
$proto63["m_columns"][] = "categoria";
$proto63["m_columns"][] = "conta";
$proto63["m_columns"][] = "Valor_pago";
$proto63["m_columns"][] = "data_pagto";
$proto63["m_columns"][] = "forma";
$proto63["m_columns"][] = "descricao";
$proto63["m_columns"][] = "debitar";
$proto63["m_columns"][] = "fonte_caixa";
$proto63["m_columns"][] = "reembolsar";
$proto63["m_columns"][] = "quitado";
$proto63["m_columns"][] = "data_qitacao";
$obj = new SQLTable($proto63);

$proto62["m_table"] = $obj;
$proto62["m_sql"] = "dbw_despesas";
$proto62["m_alias"] = "";
$proto62["m_srcTableName"] = "tb_fecha_cx";
$proto64=array();
$proto64["m_sql"] = "";
$proto64["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto64["m_column"]=$obj;
$proto64["m_contained"] = array();
$proto64["m_strCase"] = "";
$proto64["m_havingmode"] = false;
$proto64["m_inBrackets"] = false;
$proto64["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto64);

$proto62["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto62);

$proto0["m_fromlist"][]=$obj;
												$proto66=array();
$proto66["m_link"] = "SQLL_CROSSJOIN";
			$proto67=array();
$proto67["m_strName"] = "dbw_nfaturados";
$proto67["m_srcTableName"] = "tb_fecha_cx";
$proto67["m_columns"] = array();
$proto67["m_columns"][] = "itemID";
$proto67["m_columns"][] = "pedID";
$proto67["m_columns"][] = "pdtoID";
$proto67["m_columns"][] = "v_unit";
$proto67["m_columns"][] = "entrega";
$proto67["m_columns"][] = "incluir";
$proto67["m_columns"][] = "t0";
$proto67["m_columns"][] = "t1";
$proto67["m_columns"][] = "t2";
$proto67["m_columns"][] = "t3";
$proto67["m_columns"][] = "t4";
$proto67["m_columns"][] = "t5";
$proto67["m_columns"][] = "qtd";
$proto67["m_columns"][] = "Subtotal";
$proto67["m_columns"][] = "Nfaturados";
$proto67["m_columns"][] = "cota_a";
$proto67["m_columns"][] = "cota_b";
$proto67["m_columns"][] = "cota_c";
$proto67["m_columns"][] = "cota_d";
$proto67["m_columns"][] = "categoria";
$proto67["m_columns"][] = "componente";
$proto67["m_columns"][] = "status_item";
$proto67["m_columns"][] = "faturado";
$proto67["m_columns"][] = "data_fatura";
$obj = new SQLTable($proto67);

$proto66["m_table"] = $obj;
$proto66["m_sql"] = "dbw_nfaturados";
$proto66["m_alias"] = "";
$proto66["m_srcTableName"] = "tb_fecha_cx";
$proto68=array();
$proto68["m_sql"] = "";
$proto68["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto68["m_column"]=$obj;
$proto68["m_contained"] = array();
$proto68["m_strCase"] = "";
$proto68["m_havingmode"] = false;
$proto68["m_inBrackets"] = false;
$proto68["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto68);

$proto66["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto66);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto70=array();
						$obj = new SQLField(array(
	"m_strName" => "dt_fechamento",
	"m_strTable" => "tb_fecha_cx",
	"m_srcTableName" => "tb_fecha_cx"
));

$proto70["m_column"]=$obj;
$obj = new SQLGroupByItem($proto70);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_fecha_cx";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_fecha_cx = createSqlQuery_tb_fecha_cx();


	
		;

																		

$tdatatb_fecha_cx[".sqlquery"] = $queryData_tb_fecha_cx;

$tableEvents["tb_fecha_cx"] = new eventsBase;
$tdatatb_fecha_cx[".hasEvents"] = false;

?>